/**
*Programme cree par The Clusters
*Classe AfficherCarte du jeu "Chkoba"
*@author The Clusters
*@version 1.0
**/

package chkoba;

import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import javax.swing.*;
import chkoba.*;

/**
*	Classe AfficherCarte
*/

public class AfficherCarte extends JComponent
{
	private Image image;
	private Button jbCree, jbJoindre;

	public AfficherCarte(String carte)
	{
		image = Toolkit.getDefaultToolkit().getImage(carte);

		MediaTracker track = new MediaTracker(this);

		// 0 est l'identifiant de l'image a charger
		track.addImage(image, 0);

		try
		{
			track.waitForID(0);
		} catch (InterruptedException e)
		{
			System.out.println("Probleme dans AfficherCarte");
		}

		setSize(new Dimension(image.getWidth(null) + 8,image.getHeight(null) + 32));

		setVisible(true);

	}

	public void paintComponent(Graphics g)
	{
		g.drawImage(image, 0, 0, null);
	}
	
}
